/*jslint laxbreak:true */
/*jslint laxcomma:true */
/*jslint loopfunc:true */
/*jslint strict:true */
/*jslint browser:true */
/*jslint devel:true */
define([
	"underscore"
	, "jquery"
	, "backbone"
	, "bootstrap"

	, "text!../../templates/footer/modal-about.html"
]
, function (_, $, Backbone, Bootstrap, tmplModalAbout) {
	"use strict";

	var View = Backbone.View.extend({
		el:					$("div#wrapperFooter")

		, events:			{
			"click button[data-target='modalAboutDaapr']":	"_buttonAboutClick"
		}

		, initialize:		function () {
			var that	= this
			;

			that.$el.delegate("button[data-toggle='side-bar']", "click", function (event) {
				that.trigger("toggle:sidebar");

				var $target		= $(event.target);
				if (event.target.tagName === "BUTTON") {
					$target		= $target.find("i");
				}

				$target.toggleClass("icon-chevron-right");
				$target.toggleClass("icon-chevron-left");
			});

		}

		, _buttonAboutClick:		function(event) {
			var $modal	= $(tmplModalAbout)
			;

			$modal.modal();
		}
	});

	return View;
});